# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
ALSA_CFLAGS = @ALSA_CFLAGS@
ALSA_LIBS = @ALSA_LIBS@
CC = @CC@
ELFILES = @ELFILES@
EMACS = @EMACS@
EXTRADEFS = @EXTRADEFS@
EXTRALIBS = @EXTRALIBS@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_CONFIG = @GTK_CONFIG@
GTK_LIBS = @GTK_LIBS@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
NETSRCS = @NETSRCS@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
SHCFLAGS = @SHCFLAGS@
SHLD = @SHLD@
SYSEXTRAS = @SYSEXTRAS@
VERSION = @VERSION@
dynamic_targets = @dynamic_targets@
lispdir = @lispdir@
so = @so@
LIBS=@LIBS@

INCLUDES = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/timidity \
	-I$(top_srcdir)/libarc \
	-I$(top_srcdir)/utils \
	$(EXTRAINCS)

bin_PROGRAMS = wav2pat mididump bag patinfo lsmidiprog sf2text

wav2pat_SOURCES = \
	wav2pat.c

mididump_SOURCES = \
	mididump.c
mididump_LDADD = \
	$(top_builddir)/timidity/common.o \
	$(top_builddir)/libarc/libarc.a \
	$(top_builddir)/utils/libutils.a \
	$(LIBS)

bag_SOURCES = \
	bag.c

patinfo_SOURCES = \
	patinfo.c

lsmidiprog_SOURCES = \
	lsmidiprog.c
lsmidiprog_LDADD = \
	$(top_builddir)/timidity/readmidi.o \
	$(top_builddir)/timidity/rcp.o \
	$(top_builddir)/timidity/common.o \
	$(top_builddir)/libarc/libarc.a \
	$(top_builddir)/utils/libutils.a \
	$(LIBS)

sf2text_SOURCES = \
	sf2text.c \
	gentxt.c
sf2text_LDADD = \
	$(top_builddir)/timidity/common.o \
	$(top_builddir)/timidity/sffile.o \
	$(top_builddir)/timidity/sfitem.o \
	$(top_builddir)/timidity/sbkconv.o \
	$(top_builddir)/libarc/libarc.a \
	$(top_builddir)/utils/libutils.a \
	$(LIBS)

EXTRA_DIST = \
	my \
	my.pl
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
wav2pat_OBJECTS =  wav2pat.o
wav2pat_LDADD = $(LDADD)
wav2pat_DEPENDENCIES = 
wav2pat_LDFLAGS = 
mididump_OBJECTS =  mididump.o
mididump_DEPENDENCIES =  $(top_builddir)/timidity/common.o \
$(top_builddir)/libarc/libarc.a $(top_builddir)/utils/libutils.a
mididump_LDFLAGS = 
bag_OBJECTS =  bag.o
bag_LDADD = $(LDADD)
bag_DEPENDENCIES = 
bag_LDFLAGS = 
patinfo_OBJECTS =  patinfo.o
patinfo_LDADD = $(LDADD)
patinfo_DEPENDENCIES = 
patinfo_LDFLAGS = 
lsmidiprog_OBJECTS =  lsmidiprog.o
lsmidiprog_DEPENDENCIES =  $(top_builddir)/timidity/readmidi.o \
$(top_builddir)/timidity/rcp.o $(top_builddir)/timidity/common.o \
$(top_builddir)/libarc/libarc.a $(top_builddir)/utils/libutils.a
lsmidiprog_LDFLAGS = 
sf2text_OBJECTS =  sf2text.o gentxt.o
sf2text_DEPENDENCIES =  $(top_builddir)/timidity/common.o \
$(top_builddir)/timidity/sffile.o $(top_builddir)/timidity/sfitem.o \
$(top_builddir)/timidity/sbkconv.o $(top_builddir)/libarc/libarc.a \
$(top_builddir)/utils/libutils.a
sf2text_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  INSTALL Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
DEP_FILES =  .deps/bag.P .deps/gentxt.P .deps/lsmidiprog.P \
.deps/mididump.P .deps/patinfo.P .deps/sf2text.P .deps/wav2pat.P
SOURCES = $(wav2pat_SOURCES) $(mididump_SOURCES) $(bag_SOURCES) $(patinfo_SOURCES) $(lsmidiprog_SOURCES) $(sf2text_SOURCES)
OBJECTS = $(wav2pat_OBJECTS) $(mididump_OBJECTS) $(bag_OBJECTS) $(patinfo_OBJECTS) $(lsmidiprog_OBJECTS) $(sf2text_OBJECTS)

all: Makefile $(PROGRAMS)

.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu tools-1.1.0/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

wav2pat: $(wav2pat_OBJECTS) $(wav2pat_DEPENDENCIES)
	@rm -f wav2pat
	$(LINK) $(wav2pat_LDFLAGS) $(wav2pat_OBJECTS) $(wav2pat_LDADD) $(LIBS)

mididump: $(mididump_OBJECTS) $(mididump_DEPENDENCIES)
	@rm -f mididump
	$(LINK) $(mididump_LDFLAGS) $(mididump_OBJECTS) $(mididump_LDADD) $(LIBS)

bag: $(bag_OBJECTS) $(bag_DEPENDENCIES)
	@rm -f bag
	$(LINK) $(bag_LDFLAGS) $(bag_OBJECTS) $(bag_LDADD) $(LIBS)

patinfo: $(patinfo_OBJECTS) $(patinfo_DEPENDENCIES)
	@rm -f patinfo
	$(LINK) $(patinfo_LDFLAGS) $(patinfo_OBJECTS) $(patinfo_LDADD) $(LIBS)

lsmidiprog: $(lsmidiprog_OBJECTS) $(lsmidiprog_DEPENDENCIES)
	@rm -f lsmidiprog
	$(LINK) $(lsmidiprog_LDFLAGS) $(lsmidiprog_OBJECTS) $(lsmidiprog_LDADD) $(LIBS)

sf2text: $(sf2text_OBJECTS) $(sf2text_DEPENDENCIES)
	@rm -f sf2text
	$(LINK) $(sf2text_LDFLAGS) $(sf2text_OBJECTS) $(sf2text_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tools-1.1.0

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu tools-1.1.0/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).P -c $<

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).p -c $<
	@-sed -e 's/^\([^:]*\)\.o:/\1.lo \1.o:/' \
	  < .deps/$(*F).p > .deps/$(*F).P
	@-rm -f .deps/$(*F).p
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(DATADIR)$(bindir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


include $(top_srcdir)/common.makefile

tools:
	cd 

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
